## r-cran-misctools 0.6

=== DESCRIPTION ===
Package: miscTools
Version: 0.6-30
Date: 2026-01-19
Title: Miscellaneous Tools and Utilities
Authors@R: c(
  person( given = "Arne", family = "Henningsen", role = c( "aut", "cre" ),
    email = "arne.henningsen@gmail.com" ),
  person( given = "Ott", family = "Toomet", role = "aut" ) )
Author: Arne Henningsen [aut, cre],
  Ott Toomet [aut]
Maintainer: Arne Henningsen <arne.henningsen@gmail.com>
Depends: R (>= 2.14.0)
Imports: digest
Suggests: Ecdat (>= 0.1-5)
Description: Miscellaneous small tools and utilities.
   Many of them facilitate the work with matrices,
   e.g. inserting rows or columns, creating symmetric matrices,
   or checking for semidefiniteness.
   Other tools facilitate the work with regression models,
   e.g. extracting the standard errors,
   obtaining the number of (estimated) parameters,
   or calculating R-squared values.
License: GPL (>= 2)
URL: https://github.com/arne-henningsen/miscTools
BugReports: https://github.com/arne-henningsen/miscTools/issues
NeedsCompilation: no
Packaged: 2026-01-19 13:56:45 UTC; gsl324
Repository: CRAN
Date/Publication: 2026-01-20 06:10:14 UTC

## r-cran-misctools 0.6-16

=== debian/changelog ===
r-cran-misctools (0.6-16-1) unstable; urgency=low

  * Initial release (Closes: #752502).

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 09:24:05 +0200

=== debian/control ===
Source: r-cran-misctools
Section: gnu-r
Priority: optional
Testsuite: autopkgtest
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-misctools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-misctools/trunk/
Homepage: http://cran.r-project.org/web/packages/miscTools/

Package: r-cran-misctools
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Description: GNU R miscellaneous tools and utilities
 This package contains miscellaneous small tools and utilities for
 GNU R.  These tools are needed for running the unit tests of some
 other GNU R packages in Debian.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/miscTools_([-\d.]*)\.tar\.gz

## r-cran-misctools 0.6-22

=== debian/changelog ===
r-cran-misctools (0.6-22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6-22
  * Update package long description.
  * Move packaging to git.
  * Use canonical CRAN homepage.
  * Use secure URL for Format field of d/copyright.
  * Convert to dh-r.
  * Bump to debhelper compat level 10.
  * Remove unneeded Testsuite field.
  * Bump to Standards-Version 4.1.1.
  * Bump watch file format to version 4.
  * Modify autopkgtest run-unit-test to not check output against .Rout files.
    This always fails due to numerical precision errors.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Oct 2017 15:20:05 +0200

=== debian/control ===
Source: r-cran-misctools
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-misctools.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-misctools.git
Homepage: https://cran.r-project.org/package=miscTools

Package: r-cran-misctools
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Description: GNU R miscellaneous tools and utilities
 Many of them facilitate the work with matrices, e.g. inserting rows or
 columns, creating symmetric matrices, or checking for semidefiniteness. Other
 tools facilitate the work with regression models, e.g. extracting the standard
 errors, obtaining the number of (estimated) parameters, or calculating
 R-squared values.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/miscTools_([-\d.]*)\.tar\.gz

## r-cran-misctools 0.6-26

=== debian/changelog ===
r-cran-misctools (0.6-26-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:17:55 +0000

r-cran-misctools (0.6-26-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:15:38 +0200

r-cran-misctools (0.6-26-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 12:42:23 +0100

r-cran-misctools (0.6-24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Oct 2019 10:34:37 +0100

r-cran-misctools (0.6-22-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 14:36:47 +0200

=== debian/control ===
Source: r-cran-misctools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-digest
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-misctools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-misctools.git
Homepage: https://cran.r-project.org/package=miscTools
Rules-Requires-Root: no

Package: r-cran-misctools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R miscellaneous tools and utilities
 Many of them facilitate the work with matrices, e.g. inserting rows or
 columns, creating symmetric matrices, or checking for semidefiniteness. Other
 tools facilitate the work with regression models, e.g. extracting the standard
 errors, obtaining the number of (estimated) parameters, or calculating
 R-squared values.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/miscTools_([-\d.]*)\.tar\.gz

## r-cran-misctools 0.6-28

=== debian/changelog ===
r-cran-misctools (0.6-28-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 09:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-misctools
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-misctools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-misctools.git
+Homepage: https://cran.r-project.org/package=miscTools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-misctools
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-misctools.git
-Homepage: https://cran.r-project.org/package=miscTools
-Rules-Requires-Root: no
 
 Package: r-cran-misctools
 Architecture: all

## r-cran-misctools 0.6-30

=== debian/changelog ===
r-cran-misctools (0.6-30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 16:23:00 +0900

=== debian/control ===
Source: r-cran-misctools
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-digest,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-misctools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-misctools.git
Homepage: https://cran.r-project.org/package=miscTools
Rules-Requires-Root: no

Package: r-cran-misctools
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R miscellaneous tools and utilities
 Many of them facilitate the work with matrices, e.g. inserting rows or
 columns, creating symmetric matrices, or checking for semidefiniteness. Other
 tools facilitate the work with regression models, e.g. extracting the standard
 errors, obtaining the number of (estimated) parameters, or calculating
 R-squared values.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-runit,
